Bug 1855773 - hardcoded ens3 in cluster-network-operator kuryr config causes failure on ppc64le
Summary: hardcoded ens3 in cluster-network-operator kuryr config causes failure on ppc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: ppc64le
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1829517
Blocks: 1593825 1593829
TreeView+ depends on / blocked
 
Reported: 2020-07-10 13:09 UTC by Luis Tomas Bolivar
Modified: 2020-08-17 20:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Kuryr-Kubernetes will now attempt to detect the bridge interface for the pod subports on the CNI level, instead of just using a value set in kuryr.conf (and in OpenShift effectively hardcoded to "ens3"). Reason: This is to support cases when VMs call the interface differently. Result: kuryr-daemon will look for the configuration option first. If it's not set or configured interface is not present on the VM, it will try to figure out on which interface kubelet is listening on and use it as bridge interface. If that won't be possible it'll just choose first non-loopback interface on the VM.
Clone Of: 1829517
Environment:
Last Closed: 2020-08-17 20:05:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 300 None closed Bug 1855773: Attempt to autodetect interface in nested setups 2020-08-12 12:37:07 UTC
Red Hat Product Errata RHBA-2020:3330 None None None 2020-08-17 20:05:42 UTC

Comment 4 Itzik Brown 2020-08-12 16:09:53 UTC
Followed the steps in https://bugzilla.redhat.com/show_bug.cgi?id=1829517#c5

CNI logs show:
 Using kubelet bind interface ens3 as bridge interface

Version:
4.5.0-0.nightly-2020-08-11-174348
RHOS-16.1-RHEL-8-20200804.n.0

Comment 6 errata-xmlrpc 2020-08-17 20:05:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.